Subject: Re: [PATCH 00/30] Set 3: Rid W=1 warnings in Wireless

From: Lee Jones <[email-masked]>
Date: Thu, 27 Aug 2020 13:14:01 +0100

On Thu, 27 Aug 2020, Kalle Valo wrote:

> Lee Jones <[email-masked]> writes:
> 
> > This set is part of a larger effort attempting to clean-up W=1
> > kernel builds, which are currently overwhelmingly riddled with
> > niggly little warnings.
> >
> > There are quite a few W=1 warnings in the Wireless.  My plan
> > is to work through all of them over the next few weeks.
> > Hopefully it won't be too long before drivers/net/wireless
> > builds clean with W=1 enabled.
> 
> How much patches are there going to be? I was first positive about the
> idea but now I am really starting to wonder if this is worth the effort,
> these patches are spamming my patchwork significantly and taking too
> much time. At least please hold of on any new patches for at least a
> week so I can catch up with all patches I have.

1 more set to go.  drivers/wireless was pretty dirty in this regard
starting with over 6000 warnings.

> And like I said already before, follow the title style we use so that I
> don't need to edit every patch myself:
> 
> https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches#commit_title_is_wrong

Sure.

-- 
Lee Jones [李琼斯]
Senior Technical Lead - Developer Services
Linaro.org │ Open source software for Arm SoCs
Follow Linaro: Facebook | Twitter | Blog